Triggers = {}


function autohairs()
	for p in Players() do
		p.crosshairs.active = true
	end
end
		

function weapon_setup()
	for p in Players() do
		p.items["pistol"] = 0
		p.items["alien weapon"] = 1
		p.items["smg"] = 1
		p.weapons["smg"]:select()
	end
end

function Triggers.monster_damaged(monster, aggressor_monster, _, _, _)
	if aggressor_monster and aggressor_monster.player then
		monster.vitality = 0
	end
end

function Triggers.player_damaged(victim, _, aggressor_monster, _, _, _)
	victim.life = 450
	if aggressor_monster then
		aggressor_monster.vitality = -1
		aggressor_monster:damage(1, "explosion")
	end
end

print_level_has_run = false

function print_level_info()
	if not print_level_has_run then
		for p in Players() do
			if Level.extermination then
				p:print("level is extermination")
			end
			if Level.exploration then
				p:print("level is exploration")
			end
			if Level.repair then
				p:print("level is repair")
			end
			if Level.rescue then
				p:print("level is rescue")
			end
			if Level.retrieval then
				p:print("level is retrieval")
			end
		end
		print_level_has_run = true
	end
	for p in Players() do
		if Level.calculate_completion_state() == "finished" then
			p.overlays[0].color = "green"
		else
			p.overlays[0].color = "red"
		end
		p.overlays[0].text = "level state: " .. tostring(Level.calculate_completion_state())
	end
end

function compass()
	for p in Players() do
		
		p.compass.lua = true
		-- p.compass:all_on()
		p.compass.beacon = true
		p.compass.x = 0
		p.compass.y = 0
	end
end


function Triggers.idle()
	print_level_info()
	-- compass()
	for p in Players() do 
		if p.life < 450 and not p.dead then
		 	p.life = 450
		end
		if p.oxygen < 10 then
			p.oxygen = 1000
		end
		for p in Players() do
			if p.items["smg ammo"] < 1 then
				p.items["smg ammo"] = 1
			end
			if p.items["alien weapon ammo"] < 1 then
				p.items["alien weapon ammo"] = 1
			end
		end
	end
	for m in Monsters() do
		if not m.player then
			m.vitality = -1
		end
	end
end


function Triggers.init()
	-- init() is called like 7 times on level load
	Game.proper_item_accounting = true
	autohairs()
	weapon_setup()
	-- compass()
end